/*
 * l9wrapper.h - Level 9 interpreter DLL wrapper.
 * 
 * Copyright (C) 2004 - 2011 Andreas Scherrer
 *
 * This is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this software; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,
 * USA.
 */

#ifdef __cplusplus
#define EXPORT extern "C" __declspec (dllexport)
#else
#define EXPORT __declspec (dllexport)
#endif

#include "level9.h"

/*
 * Module functions.
 */
EXPORT void CALLBACK L9_SetCallbackFunctions(
	FARPROC os_printchar,
	FARPROC os_input,
	FARPROC os_readchar,
	FARPROC os_flush,
	FARPROC os_save_file,
	FARPROC os_load_file,
	FARPROC os_get_game_file,
	FARPROC os_set_filenumber,
	FARPROC os_graphics,
	FARPROC os_cleargraphics,
	FARPROC os_setcolour,
	FARPROC os_drawline,
	FARPROC os_fill,
	FARPROC os_display_pic);

EXPORT BOOL    CALLBACK L9_LoadGame      (char* filename, char* picname);
EXPORT BOOL    CALLBACK L9_RunGame       (void);
EXPORT void    CALLBACK L9_StopGame      (void);
EXPORT void    CALLBACK L9_RestoreGame   (char *inFile);
EXPORT void    CALLBACK L9_FreeMemory    (void);
EXPORT void    CALLBACK L9_GetPictureSize(int *width, int *height);
EXPORT BOOL    CALLBACK L9_RunGraphics   (void);
EXPORT BOOL    CALLBACK L9_DetectBitmaps (char *path);
EXPORT Bitmap *CALLBACK L9_DecodeBitmap  (int n);
