/*
 * AboutForm.cs - 'About' dialog with credits and version information.
 *
 * Copyright (C) 2004 - 2011 Andreas Scherrer
 *
 * This is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this software; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,
 * USA.
 */

using System;
using System.Windows.Forms;

namespace Level9
{
	/// <summary>
	/// 'About' dialog with credits and version information.
	/// </summary>
	public partial class AboutForm : Form
	{
		// -- Constructors ---------------------------------------------------

		/// <summary>
		/// Initializes a new instance of the AboutForm class.
		/// </summary>
		public AboutForm()
		{
			InitializeComponent();
			labelSplash.Image = Images.Get(Images.Stock.Splash_300x93);
			labelVersion.Text = labelVersion.Text + " "
				+ Config.PROGRAM_VERSION;
			labelNetFrontend.Text = labelNetFrontend.Text + " "
				+ Config.PROGRAM_VERSION;
		}

		// -- Event handling -------------------------------------------------

		/// <summary>
		/// Invoked when the link label has been clicked.
		/// </summary>
		/// <param name="sender">the object that originated the event</param>
		/// <param name="e">
		/// a LinkLabelLinkClickedEventArgs that contains the event data
		/// </param>
		void LabelLinkLinkClicked(object sender,
			LinkLabelLinkClickedEventArgs e)
		{
			try {
				System.Diagnostics.Process.Start(labelLink.Text);
			}
			catch (Exception) {
				// Do nothing
			}
		}
	}
}
